% fig_02_07
% plot data for contact of northeastern dike at Ship Rock, New Mexico
% Delaney and Pollard (1981) U.S.G.S. Professional Paper 1202
% plot apparent dike thickness versus position

clear all, clf reset; % clear memory and figures

% read text file with data: four columns are: station #, px=qx, py, qy
A = textread('sr_contact.txt'); 

% parse data array to position vector componenets
px = A(:,2); py = A(:,3); 
qx = A(:,2); qy = A(:,4);

% plot with equal scale local axes and label
plot(px,py,qx,qy), axis equal
xlabel('x local (m)'), ylabel('y local (m)')

% calculate apparent dike thickness and plot ta vs. x
ta = py - qy;
figure, plot(px,ta)
xlabel('x local (m)'), ylabel('apparent thickness (m)')   