% fig_02_08
% plot map of northeastern dike at Ship Rock, New Mexico
% Delaney and Pollard (1981) U.S.G.S. Professional Paper 1202
% transform field data form local to UTM coordinates
% equation (2.14)
% place local origin at Easting = 694,000m, Northing = 4,063,000m

clear all, clf reset; % clear memory and figure

% read text file with data: four columns are: station #, px=qx, py, qy
A = textread('sr_contact.txt'); 

% parse data array to position vector componenets
px = A(:,2); py = A(:,3); 
qx = A(:,2); qy = A(:,4);

% rotate and translate local coordinates to UTM grid Zone M12
a = -34; ar = a*pi/180; % angle of rotation
pxu = 694000 + px*cos(ar) + py*sin(ar);
pyu = 4063000 + -px*sin(ar) + py*cos(ar);
qxu = 694000 + qx*cos(ar) + qy*sin(ar);
qyu = 4063000 + -qx*sin(ar) + qy*cos(ar);

% plot map with equal scale Easting and Northing axes
plot(pxu,pyu,qxu,qyu), axis equal
xlabel('Easting (m)'), ylabel('Northing (m)')    