% fig_02_10
% plot polar coordinate system
% equation (2.14)

%initialize and scale plot
clear all, clf, hold on % clear memory and figure, hold plot
axis equal, axis off, box off % equal scaling in x and y, no axes or box
axis ([-1 1 -1 1]) % sets scaling for x- and y-axes

plot([0 1],[0 0],'k',[0 0],[0 1],'k') % plot positive x- and y-axes

TH = linspace(0,2*pi,361); % polar angle, range 2 pi, 1 degree increment
for j = 1:9 % loop to plot circles, 0.1 radial increment
r = 0.1*j; % radius of circle to be plotted
[X,Y] = pol2cart(TH,r); % Cartesian coordinates of reference circle
plot(X,Y,'k') % plot circle
end

R = linspace(0,0.9,10); % radial distances, range 0 to 1, 0.1 increment
for k = 1:23 % loop to plot radial lines
th = k*(pi/12); % angle of line to be plotted
X = R*cos(th); Y = R*sin(th); % coordinates of points on line
plot(X,Y,'k') % plot radial line
end