% fig_02_12
% plot elliptical coordinate system
% equation (2.32)

%initialize and scale plot
clear all, clf, hold on % clear memory and figure, hold plot
axis equal, axis off, box off % equal scaling in x and y, no axes or box
axis ([-2 2 -2 2]) % sets scaling for x- and y-axes

plot([-1 2],[0 0],'k',[0 0],[0 1.7],'k') % plot positive x- and y-axes

f = 1; % focal length
ETA = linspace(0,2*pi,361); % eta coordinates on ellipses
for j = 1:12 % loop to plot 12 ellipses
xi = 0.1*j; % xi coordinate of ellipse to be plotted
X = f*cosh(xi)*cos(ETA); % x coordinates of points on ellipse
Y = f*sinh(xi)*sin(ETA); % y coordinates of points on ellipse
plot(X,Y,'k') % plot ellipse
end

XI = linspace(0,1.2,100); % xi coordinates on hyperbolae
for k = 1:24 % loop to plot 24 arcs of 12 hyperbolae
eta = k*(pi/12); % eta coordinate of hyperbola to be plotted
X = f*cosh(XI)*cos(eta); % x coordinates of points on hyperbola
Y = f*sinh(XI)*sin(eta); % y coordinates of points on hyperbola
plot(X,Y,'k') % plot arc of hyperbola
end