% fig_02_23
% plot equal area net
% Ragan (1985)

%initialize and scale plot
clear all, clf, hold on % clear memory and figure, hold plot
axis equal, axis off, box off % equal scaling in x and y, no axes or box
axis ([-1 1 -1 1]) % sets scaling for x- and y-axes

plot([-1 1],[0 0],'k',[0 0],[-1 1],'k') % plot x- and y-axes
r = 1; % radius of reference circle
TH = linspace(0,2*pi,3601); % polar angle, range 2 pi, 1/10 degree increment
[X,Y] = pol2cart(TH,r); % Cartesian coordinates of reference circle
plot(X,Y,'k') % plot reference circle

s2 = sqrt(2);
LA = linspace(0,pi,181); % longitudes for pts on parallels
for k = 1:8 % loop to plot parallels at 10 deg increments
ph = k*(10*pi/180); % latitude of particular parallel
cph = cos(ph); sph = sin(ph);
X = r*cph*cos(LA); % x-coords of pts on parallel
Y = r*sph*ones(size(X)); % y-coords of pts on parallel
PHP = acos(sqrt(X.^2 + Y.^2)/r); % plunge of pts on parallel
ALP = (pi/2) - atan2(Y,X); % azimuth of pts on parallel
XX = (r*s2)*sin(pi/4 - PHP/2).*sin(ALP); % x-coords of projected pts
YY = (r*s2)*sin(pi/4 - PHP/2).*cos(ALP); % y-coords of projected pts
plot(XX,YY,'k',XX,-YY,'k') % plot two sets of parallels
end

PH = linspace(-pi/2,pi/2,181); % latitudes for pts on meridians
for k = 1:8 % loop to plot meridians at 10 degree increments
la = k*(10*pi/180); % longitude of particular meridian
cla = cos(la);
X = r*cos(PH)*cla; % x-coords of pts on meridian
Y = r*sin(PH); % y-coords of pts on meridian
PHP = acos(sqrt(X.^2 + Y.^2)/r); % plunge of pts on meridian
ALP = (pi/2) - atan2(Y,X); % azimuth of pts on meridian
XX = (r*s2)*sin(pi/4 - PHP/2).*sin(ALP); % x-coords of projected pts
YY = (r*s2)*sin(pi/4 - PHP/2).*cos(ALP); % y-coords of projected pts
plot(XX,YY,'k',-XX,YY,'k') % plot two sets of meridians
end